include:
  - system.base

{% from "map.jinja" import noveria %}

apps_poddoc_git:
  git.latest:
    - name: https://git.noveria.org/Tools/poddoc.git
    - target: {{ noveria.app_dir }}/poddoc
    - user: root
    - force_reset: True
    - require:
      - system_base_apps_dir

apps_poddoc_link:
  file.symlink:
    - name: {{ noveria.bin_dir }}/poddoc
    - target: {{ noveria.app_dir }}/poddoc/poddoc
    - user: root
    - group: root
    - mode: '0755'
    - require:
      - system_base_bin_dir
      - apps_poddoc_git
